#ifndef MYLSTFILES_H
#define MYLSTFILES_H
#include <QListWidget>

class mylstfiles : public QListWidget
{
	Q_OBJECT
	public:
		mylstfiles(QWidget * parent);
	public:
		QPixmap currentselect;
		QString wl_current_path;
		QString wl_current_filename;
		int status;
		QAction *action1;
		QAction *action2;
		QAction *action3;
	private slots:
		void import_folder();
		void import_pictures();
		void import_background();
	private:
	protected:
		void mouseMoveEvent(QMouseEvent *event);
		Qt::DropActions supportedDropActions () const;
		void contextMenuEvent(QContextMenuEvent *event);
	signals:
		void folder_import();
		void pictures_import();
		void background_import();
};
#endif
